#ifndef TCPACCESS_H
#define TCPACCESS_H
#pragma interface

class TCPACCESS_ITEM {
public:
	unsigned long ip;
	unsigned long mask;
	TCPACCESS_ITEM *next;
	/*~PROTOBEG~ TCPACCESS_ITEM */
public:
	TCPACCESS_ITEM (unsigned long _ip,
		 unsigned long _mask,
		 TCPACCESS_ITEM *_next);
	TCPACCESS_ITEM (void);
	/*~PROTOEND~ TCPACCESS_ITEM */
};


class TCPACCESS{
	TCPACCESS_ITEM *first;
	bool secureport;
	/*~PROTOBEG~ TCPACCESS */
public:
	TCPACCESS (void);
	void add (const char *netdef);
	bool isok (int fd);
	void requestsecureport (void);
	~TCPACCESS (void);
	/*~PROTOEND~ TCPACCESS */
};

#endif

