ETC=$(RPM_BUILD_ROOT)/etc
USR_LIB=$(RPM_BUILD_ROOT)/usr/lib
USR_SBIN=$(RPM_BUILD_ROOT)/usr/sbin
USR_BIN=$(RPM_BUILD_ROOT)/usr/bin
RPM_MANDIR=/usr/share/man
USR_MAN=$(RPM_BUILD_ROOT)/$(RPM_MANDIR)
INITD=$(RPM_BUILD_ROOT)/etc/rc.d/init.d
INCLUDE_VIRTUALFS=$(RPM_BUILD_ROOT)/usr/include/virtualfs
GCC=gcc
EGCS=$(shell test -f /usr/bin/egcs && /bin/echo -n 1)
ifeq ($(EGCS),1)
# RedHat has decided that egcs was for rh6.2 compatibility
# instead of using an environment variable. Very odd
# On rh7, we will use gcc. At some point egcs will be history anyway
RH7=$(shell grep "release 7" /etc/redhat-release 2>/dev/null | wc -l)
RH7_=$(shell expr $(RH7))
ifeq ($(RH7_),3)
GPPLINK=gcc
GPP=gcc
else
GPPLINK=egcs
GPP=egcs
endif
else
GPP=g++
# Using g++ to link pulls libg++ even if the program does not need it
GPPLINK=gcc
endif

DLL_REV=1
RPMREV=1
REV=1.32

CFLAGS=-g -fPIC -DPUBLIC= -DPRIVATE= -DPROTECTED= -DVIRTUAL= -DEXPORT=


.cc.o:
	$(GPP) -Wall $(CFLAGS) -I/usr/include/linuxconf -c $< -o $@

